import {
  Pagination,
  PaginationContent,
  PaginationEllipsis,
  PaginationItem,
  PaginationLink,
  PaginationNext,
  PaginationPrevious,
} from "@/components/ui/pagination";
import { ScrollArea, ScrollBar } from "@/components/ui/scroll-area";

const Page = () => {
  return (
    <ScrollArea className="h-[calc(100vh-53px)]">
    <div className="p-4 md:p-8 pt-6 md:pt-10">
      <div className="grid md:grid-cols-2 lg:grid-cols-3  xl:grid-cols-4 gap-6">
        {Array.from({ length: 10 }).map((_, i) =>
          i === 0 ? (
            <button key={i} className="overflow-hidden rounded-md">
              <div className="h-16 flex items-center justify-center bg-primary text-primary-foreground">
                Analysis
              </div>
              <div className="h-16 flex items-center justify-center bg-secondary text-secondary-foreground"></div>
              <div className="h-16 flex items-center justify-center bg-primary text-primary-foreground">
                Analysis is running
              </div>
            </button>
          ) : (
            <div
              key={i}
              className="overflow-hidden rounded-md border border-dashed"
            >
              <div className="h-16"></div>
              <div className="h-16"></div>
              <div className="h-16"></div>
            </div>
          )
        )}
      </div>

      {/* <div className="flex justify-between border">
        <div>asdf</div> */}
      <Pagination className="mt-6 justify-end">
        <PaginationContent>
          <PaginationItem>
            <PaginationPrevious href="#" />
          </PaginationItem>
          <PaginationItem>
            <PaginationLink href="#">1</PaginationLink>
          </PaginationItem>
          <PaginationItem>
            <PaginationLink href="#" isActive>
              2
            </PaginationLink>
          </PaginationItem>
          <PaginationItem>
            <PaginationLink href="#">3</PaginationLink>
          </PaginationItem>
          <PaginationItem>
            <PaginationEllipsis />
          </PaginationItem>
          <PaginationItem>
            <PaginationNext href="#" />
          </PaginationItem>
        </PaginationContent>
      </Pagination>
      {/* </div> */}
    </div>
    <ScrollBar/>
    </ScrollArea>
  );
};

export default Page;
