"use client";

import { Heading } from "@/components/ui/heading";
import { Separator } from "@/components/ui/separator";
import React from "react";
import { DataTable } from "./data-table";
import { columns } from "./columns";
import Link from "next/link";
import { Plus } from "lucide-react";
import { buttonVariants } from "@/components/ui/button";
import { Commit } from "@/types/commit";

const ToolsTable = ({ commitsData }: { commitsData: Commit[] }) => {
  return (
    <>
      <div className="flex items-start justify-between">
        <Heading
          title={`Commits (${commitsData.length})`}
          description="Manage Commits"
        />
        <Link
          href="/dashboard/commits/add"
          className={buttonVariants({
            variant: "default",
            // size: "sm",
          })}
          // className="text-xs md:text-sm"
          // onClick={() => router.push(`/admin-dashboard/tools/add`)}
        >
          <Plus className="mr-2 h-4 w-4" /> Add Commit
        </Link>
      </div>
      <Separator />
      <DataTable data={commitsData} columns={columns} />
    </>
  );
};

export default ToolsTable;
