"use client";

import { Heading } from "@/components/ui/heading";
import { Separator } from "@/components/ui/separator";
import React from "react";
import { DataTable } from "./data-table";
import { columns } from "./columns";
import Link from "next/link";
import { Plus } from "lucide-react";
import { buttonVariants } from "@/components/ui/button";
import { Account } from "@/types/account";
import { Configuration } from "@/types/configuration";
import { CourseAdmin } from "@/types/course-admin";

const ToolsTable = ({
  courseAdmin,
}: {
  courseAdmin: CourseAdmin[];
}) => {
  return (
    <>
      <div className="flex items-start justify-between">
        <Heading
          title={`Courses (${courseAdmin.length})`}
          description="Manage Courses"
        />
        <div></div>
        {/* <Link
          href="#"
          className={buttonVariants({
            variant: "default",
            // size: "sm",
          })}
          
        >
          <Plus className="mr-2 h-4 w-4" /> Add Course
        </Link> */}
      </div>
      <Separator />
      <DataTable data={courseAdmin} columns={columns} />
    </>
  );
};

export default ToolsTable;
